var session = require('express-session');
var RedisStore = require('connect-redis')(session);

module.exports = (app, config) => {
  return session({
    store: new RedisStore({
      host: app.config.redis.host,
      port: app.config.redis.port
    }),
    secret: config.secret,
    name: config.name || 'session',
    path: '/',
    httpOnly: true,
    secure: false,
    maxAge: 8 * 60 * 60 * 1000
  });
};

